<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:elk="urn:cbr-ru:elk:v2024.1.0"
           xmlns:lt="urn:cbr-ru:elk:leaftypes:v2024.1.0"
           targetNamespace="urn:cbr-ru:elk:v2024.1.0"
           elementFormDefault="qualified"
           attributeFormDefault="unqualified"
           version="2024.1.0">
           
    <xs:include schemaLocation="cbr_ed_objects_v2024.1.0.xsd"/>
    <xs:import namespace="urn:cbr-ru:elk:leaftypes:v2024.1.0"
               schemaLocation="cbr_ed_leaftypes_v2024.1.0.xsd"/>
               
    <xs:element name="ED447"
                type="elk:ED447">
        <xs:annotation>
            <xs:documentation>Уведомление о полном или частичном прекращении обязательств по кредиту Банка России</xs:documentation>
        </xs:annotation>
    </xs:element>
    
    <xs:complexType name="ED447">
        <xs:annotation>
            <xs:documentation>Уведомление о полном или частичном прекращении обязательств по кредиту Банка России</xs:documentation>
        </xs:annotation>
        <xs:complexContent>
            <xs:extension base="elk:ESWithMandatoryEDReceiver">
                <xs:sequence>
                    <xs:element name="NotificationInfo"
                                type="elk:NotificationInfoGeneral">
                        <xs:annotation>
                            <xs:documentation>Реквизиты уведомления</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="COInfo"
                                type="elk:COInfo447">
                        <xs:annotation>
                            <xs:documentation>Реквизиты кредитной организации</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="NotificationDetails"
                                type="elk:NotificationDetails447">
                        <xs:annotation>
                            <xs:documentation>Сведения о полном или частичном прекращении обязательств по кредиту Банка России</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:extension>
        </xs:complexContent>
    </xs:complexType>
    
    <xs:complexType name="COInfo447">
        <xs:annotation>
            <xs:documentation>Реквизиты кредитной организации</xs:documentation>
        </xs:annotation>
        <xs:attribute name="CORegNo"
                      type="lt:Max10TextType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Регистрационный номер КО</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="COFullName"
                      type="lt:Max255TextType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Полное наименование КО</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="CreditConsDate"
                      type="lt:DateType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Дата кредитного договора (соглашения), заключенного с Банком России</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="CreditConsNo"
                      type="lt:Max10TextType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Номер кредитного договора (соглашения), заключенного с Банком России</xs:documentation>
            </xs:annotation>
        </xs:attribute>
    </xs:complexType>
    
    <xs:complexType name="NotificationDetails447">
        <xs:annotation>
            <xs:documentation>Сведения о полном или частичном прекращении обязательств по кредиту Банка России</xs:documentation>
        </xs:annotation>
        <xs:sequence>
            <xs:element name="AccInfo"
                        type="elk:AccInfo"
                        minOccurs="0"
                        maxOccurs="unbounded">
                <xs:annotation>
                    <xs:documentation>Погашение обязательства по кредиту путем списания денежных средств с банковских счетов КО</xs:documentation>
                </xs:annotation>
            </xs:element>
            <xs:element name="AssetsInfo"
                        type="elk:AssetsInfo"
                        minOccurs="0">
                <xs:annotation>
                    <xs:documentation>Погашение обязательства по кредиту путем обращения взыскания на предмет залога</xs:documentation>
                </xs:annotation>
            </xs:element>
        </xs:sequence>
        <xs:attribute name="CreditNum"
                      type="lt:Max10TextType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Номер кредита Банка России (номер Извещения о предоставлении кредита)</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="CreditDate"
                      type="lt:DateType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Дата предоставления кредита Банка России</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="CurCode"
                      type="lt:EnuCurCode"
                      use="required">
            <xs:annotation>
                <xs:documentation>Валюта, в которой подлежит погашение кредита</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="TotalSumCompleted"
                      type="lt:KopeckAmountType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Итого сумма прекращенных обязательств по кредиту Банка России</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="SaleExpensesCompleted"
                      type="lt:KopeckAmountType">
            <xs:annotation>
                <xs:documentation>Сумма прекращенных обязательств, возникших в связи с расходами Банка России, связанными с обращением взыскания на предмет залога</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="PercentSumCompleted"
                      type="lt:KopeckAmountType">
            <xs:annotation>
                <xs:documentation>Сумма прекращенных обязательств по процентам по кредиту</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="CreditSumCompleted"
                      type="lt:KopeckAmountType">
            <xs:annotation>
                <xs:documentation>Сумма прекращенных обязательств по основному долгу по кредиту</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="PenySumCompleted"
                      type="lt:KopeckAmountType">
            <xs:annotation>
                <xs:documentation>Сумма прекращенных обязательств по пени, начисленной в связи с неисполнением (ненадлежащим исполнением) обязательств по кредиту</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="TotalSumNotCompleted"
                      type="lt:KopeckAmountType">
            <xs:annotation>
                <xs:documentation>Итого сумма обязательств, которые не были прекращены</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="SaleExpensesNotCompleted"
                      type="lt:KopeckAmountType">
            <xs:annotation>
                <xs:documentation>Сумма обязательств, возникших в связи с расходами Банка России, связанными с обращением взыскания на предмет залога, которые не были прекращены</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="PercentSumNotCompleted"
                      type="lt:KopeckAmountType">
            <xs:annotation>
                <xs:documentation>Сумма обязательств по процентам по кредиту, которые не были прекращены</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="CreditSumNotCompleted"
                      type="lt:KopeckAmountType">
            <xs:annotation>
                <xs:documentation>Сумма обязательств по основному долгу по кредиту, которые не были прекращены</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="PenySumNotCompleted"
                      type="lt:KopeckAmountType">
            <xs:annotation>
                <xs:documentation>Сумма пени, начисленной в связи с неисполнением (ненадлежащим исполнением) обязательств по кредиту, обязательства по уплате которой не были прекращены</xs:documentation>
            </xs:annotation>
        </xs:attribute>
    </xs:complexType>
    
    <xs:complexType name="AccInfo">
        <xs:annotation>
            <xs:documentation>Погашение обязательства по кредиту путем списания денежных средств с банковских счетов КО</xs:documentation>
        </xs:annotation>
        <xs:attribute name="Acc"
                      type="lt:AccountNumberRUIDType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Номер банковского счета</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="AccBIC"
                      type="lt:BICRUIDType"
                      use="required">
            <xs:annotation>
                <xs:documentation>БИК ПБР</xs:documentation>
            </xs:annotation>
        </xs:attribute>
    </xs:complexType>
    
    <xs:complexType name="AssetsInfo">
        <xs:annotation>
            <xs:documentation>Погашение обязательства по кредиту путем обращения взыскания на предмет залога</xs:documentation>
        </xs:annotation>
        <xs:sequence>
            <xs:element name="Security"
                        type="elk:Security447"
                        minOccurs="0"
                        maxOccurs="unbounded">
                <xs:annotation>
                    <xs:documentation>Информация об обеспечении в виде ценных бумаг</xs:documentation>
                </xs:annotation>
            </xs:element>
            <xs:element name="CreditNonmarketAsset"
                        type="elk:CreditNonmarketAssetNoSecurities447"
                        minOccurs="0"
                        maxOccurs="unbounded">
                <xs:annotation>
                    <xs:documentation>Информация об обеспечении в виде нерыночных активов</xs:documentation>
                </xs:annotation>
            </xs:element>
        </xs:sequence>
    </xs:complexType>
    
    <xs:complexType name="Security447">
        <xs:annotation>
            <xs:documentation>Информация об обеспечении в виде ценных бумаг</xs:documentation>
        </xs:annotation>
        <xs:attribute name="SecurityRegnum_Code"
                      type="lt:Max30TextType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Государственный регистрационный номер или идентификационный/регистрационный номер или международный идентификационный код (ISIN) ценных бумаг</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="SecurityAmount"
                      type="lt:Max24QuantityType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Количество</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="TotalSecurityPriceSale"
                      type="lt:KopeckAmountType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Цена, по которой было обращено взыскание на ценные бумаги</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="TotalSecurityPrice"
                      type="lt:KopeckAmountType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Общая стоимость ценных бумаг, на которые было обращено взыскание</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="SecuritySaleExpenses"
                      type="lt:KopeckAmountType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Расходы Банка России, связанные с обращением взыскания на ценные бумаги</xs:documentation>
            </xs:annotation>
        </xs:attribute>
    </xs:complexType>
    
    <xs:complexType name="CreditNonmarketAssetNoSecurities447">
        <xs:annotation>
            <xs:documentation>Информация об обеспечении в виде нерыночных активов</xs:documentation>
        </xs:annotation>
        <xs:attribute name="AssetCode"
                      type="lt:Max20TextType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Уникальный номер актива в системе Банка России</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="TotalAssetPriceSale"
                      type="lt:KopeckAmountType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Цена, по которой было обращено взыскание на нерыночные активы</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="AssetSaleExpenses"
                      type="lt:KopeckAmountType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Расходы Банка России, связанные с обращением взыскания на нерыночные активы</xs:documentation>
            </xs:annotation>
        </xs:attribute>
    </xs:complexType>
    
</xs:schema>
